From 5c3643fb701cc380ceb02116526ef4f5885295d0 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Amadeusz=20S=C5=82awi=C5=84ski?= <amade@asmblr.net>
Date: Sat, 16 Dec 2017 15:09:57 +0100
Subject: [PATCH] fix: configure option "--disable-use-locale" is not working

Bug: 52663
---
 acconfig.h   | 2 +-
 configure.ac | 6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/src/acconfig.h b/src/acconfig.h
index 4e5cda0..6ff2d32 100644
--- a/acconfig.h
+++ b/acconfig.h
@@ -274,7 +274,7 @@
  * Define USE_LOCALE if you want screen to use the locale names
  * for the name of the month and day of the week.
  */
-#define USE_LOCALE
+#undef USE_LOCALE
 
 /*
  * Define USE_PAM if your system supports PAM (Pluggable Authentication
diff --git a/src/configure.ac b/src/configure.ac
index 34f9735..d1bc42c 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1246,7 +1246,11 @@ if test "$enable_pam" = "yes"; then
        AC_MSG_RESULT(no);LIBS="$oldlibs")
 fi
 
-AC_ARG_ENABLE(use_locale, [  --enable-use-locale         use localized month/day names])
+AC_ARG_ENABLE(use-locale,
+    [  --enable-use-locale     use localized month/day names (default: yes)],
+    [],
+    [enable_use_locale=yes]
+)
 if test "$enable_use_locale" = "yes"; then
   AC_DEFINE(USE_LOCALE)
 fi
-- 
2.17.1

